#if UNITY_EDITOR
using UnityEngine;
using System.Collections;
using UnityEditor;

[CustomEditor(typeof(OneClickSceneManager))]
public class OCInspector : Editor
{
#if UNITY_EDITOR
    public override void OnInspectorGUI()
    {
        if (GUILayout.Button("Re/ImportScene"))
        {
            Logger.Ini(FindObjectOfType<OneClickSceneManager>());
            FindObjectOfType<OneClickSceneManager>().ImportScene3dsmax();
        }
        DrawDefaultInspector();
        OneClickSceneManager oc = FindObjectOfType<OneClickSceneManager>();
        if (oc == null) return;
       

        string str = "Meshes: " + oc.OCMeshesFromJSON.Count + " Mats: " + oc.exmats.Count + " Environment: ";
        EditorGUILayout.HelpBox(str, MessageType.Info);
    }
#endif
}
#endif