#if UNITY_EDITOR
using UnityEngine;
using System.Collections;
using UnityEditor;


[CustomEditor(typeof(OCLightingManager))]
public class OCInspectorLightingManager : Editor
{ 
    public override void OnInspectorGUI()
    {
        //if (GUILayout.Button("Bake All Reflection Probes"))
        //{
        //    FindObjectOfType<OCVolumeManager>().BakeAllReflectionProbes();
        //}
        EditorGUILayout.LabelField(" Lights Total: "+ FindObjectOfType<OCLightingManager>().transform.childCount);
        EditorGUILayout.LabelField(" Area: " + FindObjectOfType<OCLightingManager>().Lights.FindAll(X => X.type == 0).Count);
        EditorGUILayout.LabelField(" Spots: "+ FindObjectOfType<OCLightingManager>().Lights.FindAll(X => X.type == 4).Count);
        EditorGUILayout.LabelField(" Points: "+ FindObjectOfType<OCLightingManager>().Lights.FindAll(X=>X.type == 2).Count);
        DrawDefaultInspector();
        
    } 
}
#endif