using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using static OCProduct;
[Serializable]
public class OCProductContent
{
    [Serializable] public enum OCEngine { _3dsmax, unity, unreal }
    [Serializable] public enum OCRenderer { Default, Vray, Corona, HDRP, URP }

    public string link;
    [Serializable] public enum FileFormat {mesh, img, video, web,texture}
    public FileFormat format= FileFormat.img;
    public OCEngine Engine;
    public string EngineVersion;
    public OCRenderer Render;
    public string RenderVersion;
    public OCProductContent()
    {
        
    }
}
