using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public class OCcameraControlPlayMode : OCBase
{
    public Camera[] cameras;
    private int currentCameraIndex;

    void Start()
    {
        currentCameraIndex = 0;
        cameras = FindObjectsOfType<Camera>().ToArray();
        //       
        foreach (Camera cam in cameras)
        {
            cam.enabled=false;
        }

        if (cameras.Length > 0)
        {
            cameras[0].enabled = true;
        }
    }

    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Tab))
        {
            currentCameraIndex++;
            if (currentCameraIndex == cameras.Length) currentCameraIndex = 0;

                for (int i = 0; i < cameras.Length; i++)
            {
                if (i == currentCameraIndex) cameras[i].enabled=true;
                else cameras[i].enabled=false;
            }
        }
    }
}
