using System.IO;
using System.Text;
using System;
using System.Collections.Generic;

public class VideoHelper
{
    public static List<int> Probels = new List<int>();
    public static List<int> Exists = new List<int>();
    public static void CheckVideoFrames(string directory, int MaxFrames)
    {

        for (int i = 0; i < MaxFrames; i++)
        {
            if (!File.Exists(Path.Combine(Path.GetDirectoryName( directory), i.ToString("D4") + ".png")))
                Probels.Add(i);
            else Exists.Add(i);
        }
        Logger.Log("  : " + Probels);
    }
    public static void FillMissingVideoFrames(string sourceDir)
    {
         
        while (Probels.Count>0)
            if(Exists.Count>0)
        {
            string ExistsFileNearest = FindNearestElement(Probels[0]).ToString("D4") + ".png";
            string TargetFilePath = Path.Combine(Path.GetDirectoryName(sourceDir), Probels[0].ToString("D4") + ".png");
            string filePath = Path.Combine(Path.GetDirectoryName(sourceDir), ExistsFileNearest);
                ;

            if (!File.Exists(TargetFilePath))
            {
                File.Copy(filePath, TargetFilePath);
                    Probels.RemoveAt(0);
            }
            
        }
    }
    public static int FindNearestElement(int prob)
    {
        if (Exists.Count == 0)
        {
            throw new InvalidOperationException(" Exists .");
        }

        int nearestElement = Exists[0];
        int smallestDifference = Math.Abs(nearestElement - prob);

        foreach (int element in Exists)
        {
            int currentDifference = Math.Abs(element - prob);
            if (currentDifference < smallestDifference)
            {
                smallestDifference = currentDifference;
                nearestElement = element;
            }
        }

        return nearestElement;
    }
}