using UnityEngine;
using UnityEditor;
using System.IO;
using System.Collections.Generic;  
using System;

public class OCImportProjects
{
    public static List<string[]> OCScenes = new List<string[]>();

    public static void ImportJsonFiles()
    {
        var assetsPath = Application.dataPath;
        var jsonFiles = Directory.GetFiles(assetsPath, "*.json", SearchOption.AllDirectories);
        OCScenes.Clear();
        foreach (var file in jsonFiles)
        {
            ParseJsonFile(file);
        }

        //     
        for (int i = 0; i < OCScenes.Count; i++)
        {
            Logger.Log($"Scene: {OCScenes[i][0]}, Path: {OCScenes[i][1]}");

        } 
    }
    static Objs jsonArray;
    private static bool ParseJsonFile(string filePath)
    {
        
        var jsonData = File.ReadAllText(filePath);

        //  TinyJson   JSON
        jsonArray = JsonUtility.FromJson<Objs>(jsonData);
        int z = 0;
        if (jsonArray.objs == null) return false ;
        for (int i = jsonArray.objs.Length-1; i > 0; i--)
        {
            if (jsonArray.objs[i].ocname == "fake_last_item")
            {
                OCScenes.Add( new string[] { Path.GetFileNameWithoutExtension(filePath), Path.GetDirectoryName(filePath)  });
                
                break;            
            }
        }
        return true;
    }

   
}

